#-------------------------------------------------
#
# Project created by Qt5.9.1 2021-03-08T08:42:36
# created by HUAHAIYAN
#-------------------------------------------------

TEMPLATE = app


TARGET = XPlatForm

CONFIG += c++11
CONFIG += resources_big

QT     += core gui network
greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

OBJECTS_DIR		+= obj
MOC_DIR                   += moc
UI_DIR			+= forms
RCC_DIR			+= rccs

#昆仑通态操作屏设置时间的库
unix:LIBS +=-L/usr/local/MCGS/sysroot-mcgs/usr/lib -lmcgs-hal

FORMS += \
    sharedviews/controlactionwidget.ui \
    sharedviews/numerinputdialog.ui \
    sharedviews/parametersetdialog.ui \
    sharedviews/passworddialog.ui \
    sharedviews/patternmanagewidget.ui \
    sharedviews/patternselectwidget.ui \
    sharedviews/promptdialog.ui \
    sharedviews/sensorinputwidget.ui \
    sharedviews/systemmanagedialog.ui \
    sharedviews/wordsinputdialog.ui \
    mctype/patternsingleboard/mainUI/mainwidget.ui \
    sharedviews/sheetwidget.ui \
    sharedviews/setworkarea.ui \
    sharedviews/brokenlinedialog.ui \
    sharedviews/colorordersetwidget.ui \
    sharedviews/debuginfodialog.ui \
    sharedviews/needlebarsetwidget.ui \
    sharedviews/rotacomwidget.ui \
    sharedviews/debugviews/debugdialog.ui \
    sharedviews/debugviews/dialogneedleshuttle.ui \
    sharedviews/debugviews/dialogcutline.ui \
    sharedviews/debugviews/dialogdiecutter.ui


HEADERS += \
    main.h \
    items/paraitem.h \
    items/sensoritem.h \
    machine/comport.h \
    machine/error.h \
    machine/machine.h \
    machine/qbindtcpsocket.h \
    machine/tcpclient.h \
    machine/comm/comm.h \
    machine/comm/config.h \
    machine/comm/crc16.h \
    machine/comm/crc32.h \
    machine/comm/datadef.h \
    machine/comm/protocol.h \
    machine/comm/typedef.h \
    machine/qextserial/qextserialbase.h \
    machine/qextserial/qextserialport.h \
    datafile/datafiledst.h \
    datafile/embdata.h \
    datafile/datafiledsr.h \
    items/outctrlitem.h \
    items/shortcutitem.h \
    items/cmdconfig.h \
    items/fileitem.h \
    settings/settings.h \
    sharedviews/controlactionwidget.h \
    sharedviews/numerinputdialog.h \
    sharedviews/parametersetdialog.h \
    sharedviews/passworddialog.h \
    sharedviews/patternmanagewidget.h \
    sharedviews/patternselectwidget.h \
    sharedviews/promptdialog.h \
    sharedviews/sensorinputwidget.h \
    sharedviews/systemmanagedialog.h \
    sharedviews/wordsinputdialog.h \
    sharedviews/mybutton.h \
    mctype/mainwidgetfunction.h \
    sharedviews/setcontrolstyle.h \
    datafile/dsrcryption.h \
    items/itemsmanage.h \
    items/assistitem.h \
    items/patternsetitem.h \
    mctype/patternsingleboard/mainUI/mainwidget.h \
    settings/lotsettings.h \
    machine/lotmachine.h \
    items/parasetitem.h \
    mctype/machinetypefun.h \
    sharedviews/sheetwidget.h \
    machine/gatewaytcpclient.h \
    items/errorcodestateitem.h \
    sharedviews/setworkarea.h \
    sharedviews/brokenlinedialog.h \
    Lot/csvcode.h \
    sharedviews/colorordersetwidget.h \
    mctype/patternsingleboard/function/punchmachine.h \
    mctype/patternsingleboard/function/punchsewembmachine.h \
    mctype/patternsingleboard/function/punchsewmachine.h \
    sharedviews/debuginfodialog.h \
    sharedviews/needlebarsetwidget.h \
    mctype/patternsingleboard/function/autopospunchmachine.h \
    mctype/patternsingleboard/function/adhesivemachine.h \
    sharedviews/rotacomwidget.h \
    sharedviews/debugviews/debugdialog.h \
    sharedviews/debugviews/dialogneedleshuttle.h \
    items/debugitem.h \
    sharedviews/debugviews/dialogcutline.h \
    sharedviews/debugviews/dialogdiecutter.h \
    mctype/patternsingleboard/function/templatesewmachine.h

SOURCES += \
    main.cpp \
    items/paraitem.cpp \
    items/sensoritem.cpp \
    machine/comport.cpp \
    machine/error.cpp \
    machine/machine.cpp \
    machine/qbindtcpsocket.cpp \
    machine/tcpclient.cpp \
    machine/comm/comm.cpp \
    machine/comm/crc16.cpp \
    machine/comm/crc32.cpp \
    machine/qextserial/qextserialbase.cpp \
    machine/qextserial/qextserialport.cpp \
    datafile/datafiledst.cpp \
    datafile/embdata.cpp \
    datafile/datafiledsr.cpp \
    items/outctrlitem.cpp \
    items/shortcutitem.cpp \
    items/fileitem.cpp \
    settings/settings.cpp \
    sharedviews/controlactionwidget.cpp \
    sharedviews/numerinputdialog.cpp \
    sharedviews/parametersetdialog.cpp \
    sharedviews/passworddialog.cpp \
    sharedviews/patternmanagewidget.cpp \
    sharedviews/patternselectwidget.cpp \
    sharedviews/promptdialog.cpp \
    sharedviews/sensorinputwidget.cpp \
    sharedviews/systemmanagedialog.cpp \
    sharedviews/wordsinputdialog.cpp \
    sharedviews/mybutton.cpp \
    mctype/mainwidgetfunction.cpp \
    sharedviews/setcontrolstyle.cpp \
    datafile/dsrcryption.cpp \
    items/itemsmanage.cpp \
    items/assistitem.cpp \
    items/patternsetitem.cpp \
    mctype/patternsingleboard/mainUI/mainwidget.cpp \
    machine/lotmachine.cpp \
    items/parasetitem.cpp \
    mctype/machinetypefun.cpp \
    sharedviews/sheetwidget.cpp \
    machine/gatewaytcpclient.cpp \
    items/errorcodestateitem.cpp \
    sharedviews/setworkarea.cpp \
    sharedviews/brokenlinedialog.cpp \
    sharedviews/colorordersetwidget.cpp \
    mctype/patternsingleboard/function/punchmachine.cpp \
    mctype/patternsingleboard/function/punchsewembmachine.cpp \
    mctype/patternsingleboard/function/punchsewmachine.cpp \
    sharedviews/debuginfodialog.cpp \
    sharedviews/needlebarsetwidget.cpp \
    mctype/patternsingleboard/function/autopospunchmachine.cpp \
    mctype/patternsingleboard/function/adhesivemachine.cpp \
    sharedviews/rotacomwidget.cpp \
    sharedviews/debugviews/debugdialog.cpp \
    sharedviews/debugviews/dialogneedleshuttle.cpp \
    items/debugitem.cpp \
    sharedviews/debugviews/dialogcutline.cpp \
    sharedviews/debugviews/dialogdiecutter.cpp \
    mctype/patternsingleboard/function/templatesewmachine.cpp

#windows下调用库
#win32:LIBS += $$PWD/../../HMI-Widget/XPlatform/Dll/Machine.dll
#win32:LIBS += $$PWD/../../HMI-Widget/XPlatform/Dll/DataFileComb.dll

#linux下调用库
#unix:LIBS += $$PWD/../../HMI-Widget/XPlatform/Dll/Machine

#RESOURCES += \
#    bf.qrc

unix:INSTALLS += target
unix:target.path=/storage/oprt

TRANSLATIONS += chinese.ts\
english.ts


unix:HEADERS           += machine/qextserial/posix_qextserialport.h
unix:SOURCES           += machine/qextserial/posix_qextserialport.cpp
unix:DEFINES            += _TTY_POSIX_

win32:HEADERS          += machine/qextserial/win_qextserialport.h
win32:SOURCES          += machine/qextserial/win_qextserialport.cpp
win32:DEFINES           += _TTY_WIN_

