#ifndef DIALOGCUTLINE_H
#define DIALOGCUTLINE_H

#include <QDialog>
#include <QTextCodec>
#include "debugdialog.h"
#include "sharedviews/numerinputdialog.h"

namespace Ui {
class DialogCutLine;
}

class DialogCutLine : public DebugDialog
{
    Q_OBJECT

public:
    explicit DialogCutLine(QWidget *parent = 0);
    ~DialogCutLine();
private:
    void initControl();//初始化窗体控件，包括位置、尺寸、样式
    void initResolution1910();//初始化窗体控件为1920x1080分辨率
    void initResolution1006();
    void initControlStyle();//初始化窗体控件样式
private slots:
    void slotWkParaChangeValue();
    void on_buttonJogP_pressed();

    void on_buttonJogP_released();

    void on_buttonJogN_pressed();

    void on_buttonJogN_released();

    void on_buttonZero_clicked();

    void on_buttonEnable_clicked();

    void on_buttonDisable_clicked();

    void on_buttonOpen1_clicked();

    void on_buttonClose1_clicked();

    void on_buttonOpen2_clicked();

    void on_buttonClose2_clicked();

    void on_buttonFunction1_clicked();

    void on_buttonFunction2_clicked();

    void on_buttonPara1_clicked();

    void on_buttonPara2_clicked();

    void on_buttonPara3_clicked();

private:
    Ui::DialogCutLine *ui;
};

#endif // DIALOGCUTLINE_H
